#!/bin/bash

bitcoin_address_list=$(find ./ -iname "victim*addresses*bitcoin*" -exec cat {} \; | sort -u)

echo -n "Number of unique weak Bitcoin wallet addresses: "
echo "${bitcoin_address_list}" | wc -l
for prefix in "1" "3" "bc1q" "bc1p"
    do
    echo -n "Prefix ${prefix}: "
    echo "${bitcoin_address_list}" | grep -Poh "^${prefix}" | wc -l
done

echo ""

echo -n "Number of unique weak Ethereum wallet addresses: "
find ./ -iname "victim*addresses*ethereum*" -exec cat {} \; | sort -u | wc -l
